Sandbox Templates (read-only catalog)
GET
/v1/sandbox/templatesGET
/v1/sandbox/templatesYour instance endpoint, shown on the instance page in the dashboard. Each instance has its own host; there is no shared API host.
Responses
200 List available sandbox templates
| Property | Type | Description |
|---|---|---|
templates | object[] |
default An unexpected error response.
| Property | Type | Description |
|---|---|---|
code | integer | |
message | string | |
details | object[] |
Request
curl -X GET "https://{instance}.{region}.everstack.ai/v1/sandbox/templates" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"const response = await fetch("https://{instance}.{region}.everstack.ai/v1/sandbox/templates", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();import requests
response = requests.get(
"https://{instance}.{region}.everstack.ai/v1/sandbox/templates",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
)
data = response.json()Response
{
"templates": [
{
"id": "string",
"name": "string",
"slug": "string",
"description": "string",
"icon": "string",
"iconColor": "string",
"image": "string",
"cpuLimit": 0,
"memoryMb": "string",
"diskMb": "string",
"timeoutSeconds": 0,
"networkMode": "string",
"workDir": "string",
"tags": [
"string"
]
}
]
}{
"code": 0,
"message": "string",
"details": [
{
"@type": "string"
}
]
}
